23145 => int port;

// Server code
function void server(Event done, Event ready) {
    OscRecv receiver;
    port => receiver.port;
    receiver.listen();
    receiver.event("/path/to/int,i") @=> OscEvent oscev;
    ready.signal();

    oscev => now;
    while (oscev.nextMsg() != 0) {
        <<< oscev.getInt() >>>;
    }
    done.signal();
}

// Client code
function void client(Event serverReady) {
    serverReady => now;
    // 10::ms => now;
    OscSend sender;
    sender.setHost("localhost", port);
    sender.startMsg("/path/to/int", "i");
    1 => sender.addInt;
}

Event done;
Event serverReady;
spork ~ client(serverReady);
spork ~ server(done, serverReady);
done => now;
