23145 => int port;

// Server code
function void server(Event done) {
    OscRecv receiver;
    port => receiver.port;
    receiver.listen();
    receiver.event("/path/to/string,s") @=> OscEvent oscev;
    oscev => now;
    while (oscev.nextMsg() != 0) {
        <<< oscev.getString() >>>;
    }
    done.signal();
}

// Client code
// @param (dur delayStart) How long the client will wait for the server to start
function void client(dur delayStart) {
    delayStart => now;
    OscSend sender;
    sender.setHost("localhost", port);
    sender.startMsg("/path/to/*", "s");
    "hello" => sender.addString;
}

Event done;
spork ~ server(done);
spork ~ client(100::ms);
done => now;
