23145 => int port;

// Server code
function void server(Event done) {
    OscRecv receiver;
    port => receiver.port;
    receiver.listen();
    receiver.event("/two/args,if") @=> OscEvent oscev;
    oscev => now;
    while (oscev.nextMsg() != 0) {
        <<< oscev.getInt() >>>;
        <<< oscev.getFloat() >>>;
    }
    done.signal();
}

// Client code
// @param (dur delayStart) How long the client will wait for the server to start
function void client(dur delayStart) {
    delayStart => now;
    OscSend sender;
    sender.setHost("localhost", port);
    sender.startMsg("/two/args", "if");
    1 => sender.addInt;
    3.14 => sender.addFloat;
}

Event done;
spork ~ server(done);
spork ~ client(100::ms);
done => now;
